# Uses of Class
org.eclipse.jdt.core.manipulation.CUCorrectionProposalCore

Packages that use CUCorrectionProposalCore
Package
Description
org.eclipse.jdt.ui.text.java.correction
Application programming interfaces for correction proposals.

## Uses of CUCorrectionProposalCore in org.eclipse.jdt.ui.text.java.correction

Methods in org.eclipse.jdt.ui.text.java.correction that return CUCorrectionProposalCore
Modifier and Type
Method
Description
`protected CUCorrectionProposalCore`
CUCorrectionProposal.`getDelegate()`
Constructors in org.eclipse.jdt.ui.text.java.correction with parameters of type CUCorrectionProposalCore
Modifier
Constructor
Description
``
`CUCorrectionProposal(String name, ICompilationUnit cu, int relevance, org.eclipse.swt.graphics.Image image, CUCorrectionProposalCore delegate)`
Constructs a correction proposal working on a compilation unit.
``
`CUCorrectionProposal(String name, ICompilationUnit cu, org.eclipse.ltk.core.refactoring.TextChange change, int relevance, org.eclipse.swt.graphics.Image image, CUCorrectionProposalCore delegate)`
Constructs a correction proposal working on a compilation unit.
``
`CUCorrectionProposal(CUCorrectionProposalCore core, org.eclipse.swt.graphics.Image image)`
Constructs a correction proposal based on a core proposal and an image